<?php
if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( 'init.php' );
}

include ( 'sessioninc.php' );

$sectionid = $_GET[ 'sectionid' ];

// Query to reterive records from osdate_questions table, sorted descending on mandatory: that is, mandatory fields should be displayed first

$temp =& $osDB->getAll("select id, question, mandatory, description, guideline, maxlength, control_type from ? where enabled = ? and section = ? order by mandatory desc, displayorder", array( QUESTIONS_TABLE, 'Y', $sectionid ) );

$index = 0;

foreach( $temp as $index => $row ) {

	$options =& $osDB->getAll( 'select * from ! where enabled = ? and questionid = ? order by displayorder', array( OPTIONS_TABLE, 'Y', $row[id] ) ) ;

	//Place options of question at the last of array
	$row['options'] = makeOptions ( $options );
	unset($options);
	//Create questions array
	$data []= $row;
}

unset($temp);

//Assign template variables to Smarty
$t->assign ( 'mandatory_question_error', get_lang('errormsgs',$_GET['errid']) );

$t->assign ( 'sectionid', $_GET['sectionid'] );

$t->assign("frmname", "frm" . $sectionid );

$t->assign ( 'head', $sections[ $sectionid ] );

$t->assign ( 'data', $data );

unset($data, $sections);

$t->assign('rendered_page', $t->fetch('questions.tpl') );

//Display template
$t->display('index.tpl');


?>